Bug 1417085 - Support arbitrary configuration options for internal puppet classes in the installer
Summary: Support arbitrary configuration options for internal puppet classes in the in...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: 6.1.5
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Stephen Benjamin
QA Contact: Shimon Shtein
URL:
Whiteboard:
Depends On: 1305782
Blocks: GSS_Sat6Beta_Tracker, GSS_Sat6_Tracker 1211642 1431631
TreeView+ depends on / blocked
 
Reported: 2017-01-27 08:05 UTC by Bryan Kearney
Modified: 2020-08-13 08:50 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1305782
Environment:
Last Closed: 2018-02-21 16:54:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 16207 None None None 2017-01-27 08:05:40 UTC

Comment 1 pm-sat@redhat.com 2017-01-27 09:02:21 UTC
Upstream bug assigned to stbenjam@redhat.com

Comment 2 pm-sat@redhat.com 2017-01-27 09:02:33 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/16207 has been resolved.

Comment 3 James Hartsock 2017-03-06 14:11:57 UTC
This also support the 'FileETag INode MTime Size' change to 'FileETag MTime Size' that is discussed in https://access.redhat.com/solutions/224713 ?

Comment 4 Stephen Benjamin 2017-03-06 14:24:21 UTC
Hi James -

Unfortunately file_e_tag was only added to the Apache module in December:

  https://github.com/puppetlabs/puppetlabs-apache/blame/master/manifests/init.pp#L79

And it's not in any released version of the puppet module yet. So, it hasn't made it's way into the installer.

If you'd like, you can file a BZ and ask us to backport the file_e_tag feature into the version of puppetlabs-apache we're shipping with the installer.

Once it's eventually available, you can indeed do this in custom-hiera.yaml:

---
apache::file_e_tag: "MTime Size"

Comment 5 James Hartsock 2017-03-13 13:32:23 UTC
In reply to Stephen Benjamin from comment #4)
> Hi James -
> 
> Unfortunately file_e_tag was only added to the Apache module in December:
> <snip>
> If you'd like, you can file a BZ and ask us to backport the file_e_tag
> feature into the version of puppetlabs-apache we're shipping with the
> installer.

Opened:
Bug 1431631 - Add FileETag to puppet Apache module

Comment 7 pm-sat@redhat.com 2018-02-21 16:54:17 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.